View Issue Details

IDProjectCategoryView StatusLast Update
0019970mantisbtadministrationpublic2015-12-06 02:45
ReporterbadfilesAssigned Todregad 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.2 
Target Version1.3.0-rc.1Fixed in Version1.3.0-rc.1 
Summary0019970: Status to which reopened issues are set drops to 'feedback'
Description

One should always check and set status to which reopened issues are set if he wants it to be other than 'feedback'.

Steps To Reproduce

Go to 'Mange configuration'/'Workflow transitions'
Set 'Status to which reopened issues are set' to something other than 'feedback'
Press 'Update configuration'
you see 'Status to which reopened issues are set' changed correctly
Press 'Update configuration' again
now you see it's in 'feedback' again

TagsNo tags attached.

Relationships

related to 0016771 closeddregad workflow configuration 

Activities

atrol

atrol

2015-07-25 11:15

developer   ~0051136

Same for "Status to which a new issue is set" and "Status where an issue is considered resolved".
Also all 3 "Who can alter this value" values.

badfiles

badfiles

2015-07-26 04:50

reporter   ~0051137

Also "Minimum Access Level to Change to this Status" for status "new" drops to "reporter"

cproensa

cproensa

2015-09-10 16:39

developer   ~0051441

related: 0016771

cproensa

cproensa

2015-09-10 18:22

developer   ~0051442

tried a fix:
https://github.com/mantisbt/mantisbt/pull/646

Related Changesets

MantisBT: master a8f1c088

2015-09-10 17:37:09

cproensa


Committer: dregad Details Diff
Fix Workflow Transitions reverted to default when saving

Some fields were reverted to default setting when updating the page
twice.

Corrections:
- lookup proper variable 'set_status_threshold' when performing access
check, as well as when updating the threshold
- compare against parent settings instead of current

Fixes 0019970, 0016771

Signed-off-by: Damien Regad <dregad@mantisbt.org>

Changes from original commit:
- whitespace
- reworded commit message
mod - manage_config_workflow_set.php Diff File

MantisBT: master b36e56ab

2015-10-30 12:40:13

dregad

Details Diff
Fix warning 'config option "threshold_xxx" not found'

The original fix prepended 'threshold_' to $t_threshold, which
is incorrect (maybe a copy/paste error ?).

The 'threshold_' prefix is used to determine the name of the
corresponding GPC variable's name; $t_threshold already contains the
correct config option's name.

Fixes 0019970, 0016771
mod - manage_config_workflow_set.php Diff File

MantisBT: master 37ccbe49

2015-11-22 05:23:36

dregad

Details Diff
Merge PR https://github.com/mantisbt/mantisbt/pull/670

This PR fixes several issues with manage_config_workflow_page.php /
manage_config_workflow_set.php, and improves behavior and display.

This branch started off with @cproensa's PR [1], and evolved to include
the following changes

- Original commit (modified: whitespace fixes, reworded), fixes 0019970
- Fix a system warning introduced by the original commit
- Display color override for access level
- Proper fix for access level resets when updating workflow (0016771)
- Fix a regression introduced by b78f966e013d494ea27d92bba39d797a1266b7b7 (0020241)
- Do not display Delete button when there's nothing to delete (0006847)
- Adjust CSS/HTML and improve page layout

[1] https://github.com/mantisbt/mantisbt/pull/646
mod - css/default.css Diff File
mod - manage_config_workflow_page.php Diff File
mod - manage_config_workflow_set.php Diff File

Issue History

Date Modified Username Field Change
2015-07-25 03:43 badfiles New Issue
2015-07-25 11:11 atrol Status new => confirmed
2015-07-25 11:15 atrol Severity minor => major
2015-07-25 11:15 atrol Product Version git trunk => 1.3.0-beta.2
2015-07-25 11:15 atrol Target Version => 1.3.0-beta.3
2015-07-25 11:15 atrol Note Added: 0051136
2015-07-26 04:50 badfiles Note Added: 0051137
2015-09-06 17:47 vboctoradmin Target Version 1.3.0-beta.3 => 1.3.0-rc.1
2015-09-10 16:39 cproensa Note Added: 0051441
2015-09-10 18:22 cproensa Note Added: 0051442
2015-09-11 02:30 dregad Relationship added related to 0016771
2015-09-12 01:23 vboctor Assigned To => community
2015-09-12 01:23 vboctor Status confirmed => assigned
2015-11-22 05:32 dregad Changeset attached => MantisBT master a8f1c088
2015-11-22 05:32 dregad Changeset attached => MantisBT master b36e56ab
2015-11-22 05:32 dregad Changeset attached => MantisBT master 37ccbe49
2015-11-22 05:32 dregad Assigned To community => dregad
2015-11-22 05:32 dregad Status assigned => resolved
2015-11-22 05:32 dregad Resolution open => fixed
2015-11-22 05:32 dregad Fixed in Version => 1.3.0-rc.1
2015-12-06 02:45 vboctor Status resolved => closed